commit 253484470b7cd2b07705b9102ca816a6535057a1
parent 3781bfda713368fd311a998f8e31622718664e2e
Author: ukai <ukai>
Date: Tue, 11 Mar 2003 16:52:09 +0000
[w3m-dev 03814] fix autoconf
* acinclude.m4: quote variables
* Bonus/oldconfigure.sh: configure using old config.param
From: Yuji Abe <cbo46560@pop12.odn.ne.jp>
Diffstat:
A | Bonus/oldconfigure.sh | | | 160 | +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ |
M | ChangeLog | | | 6 | ++++++ |
M | Makefile | | | 10 | +++++----- |
M | acinclude.m4 | | | 124 | ++++++++++++++++++++++++++++++++++++++++---------------------------------------- |
M | aclocal.m4 | | | 124 | ++++++++++++++++++++++++++++++++++++++++---------------------------------------- |
M | configure | | | 158 | ++++++++++++++++++++++++++++++++++++++++---------------------------------------- |
6 files changed, 374 insertions(+), 208 deletions(-)
diff --git a/Bonus/oldconfigure.sh b/Bonus/oldconfigure.sh
@@ -0,0 +1,160 @@
+#! /bin/sh
+#
+# oldconfig.sh: convert a config.param file and execute configure
+#
+
+# functions
+opt_enable_set () {
+ val=""
+ if test x"$1" = xy; then
+ val="--enable-$2"
+ elif test x"$1" = xn; then
+ val="--disable-$2"
+ fi
+ if test x"$val" != x; then
+ OPT="${OPT} $val"
+ fi
+}
+
+opt_with_set () {
+ val=""
+ if test x"$1" != x; then
+ val="--with-$2='$1'"
+ else
+ val="--without-$2"
+ fi
+ if test x"$val" != x; then
+ OPT="${OPT} $val"
+ fi
+}
+
+env_set () {
+ # no overwrite
+ if test x"$1" != x && eval "test -z \"\$$1\"" > /dev/null; then
+ echo "$1='$2'; export $1"
+ eval "$1='$2'; export $1"
+ fi
+}
+
+# main
+topdir="`dirname $0`/.."
+
+if test x"$1" = x-v; then
+ echo_only=yes
+ shift
+fi
+if test x"$1" = x; then
+ echo "USAGE: $0 [-v] <config.param file>"
+ echo " option: -v ... echo only"
+ exit 1
+fi
+
+if expr "$1" : '.*/' > /dev/null; then
+ conffile="$1"
+else
+ conffile=./"$1"
+fi
+. "$conffile" # read config.param
+
+OPT="--bindir='$bindir' --libexecdir='$auxbindir' --datadir='$helpdir' --sysconfdir='$sysconfdir' --libdir='$libdir' --mandir='$mandir'"
+
+#case "$dmodel" in
+# 1) val=baby;;
+# 2) val=little;;
+# 3) val=mouse;;
+# 4) val=cookie;;
+# 5) val=monster;;
+# *) echo "ERROR: Illegal model type (model=$dmodel)."
+# exit 1;;
+#esac
+#OPT="${OPT} --enable-model=$val"
+
+case "$lang" in
+ JA)
+ if test x$display_code != x; then
+ OPT="${OPT} --enable-japanese='$display_code'"
+ else
+ OPT="${OPT} --enable-japanese"
+ fi
+ opt_enable_set "$kanji_symbols" kanjisymbols
+ ;;
+ *)
+ ;;
+esac
+
+opt_enable_set "$use_color" color
+opt_enable_set "$use_ansi_color" ansi-color
+opt_enable_set "$use_bg_color" bgcolor
+if test x"$use_migemo" = xy; then
+ if test x"$def_migemo_command" != x; then
+ OPT="${OPT} --with-migemo='$def_migemo_command'"
+ fi
+elif test x"$use_migemo" = xn; then
+ OPT="${OPT} --without-migemo"
+fi
+opt_enable_set "$use_mouse" mouse
+opt_enable_set "$use_menu" menu
+opt_enable_set "$use_cookie" cookie
+opt_enable_set "$use_dict" dict
+opt_enable_set "$use_history" history
+opt_enable_set "$use_digest_auth" digest-auth
+opt_enable_set "$use_nntp" nntp
+opt_enable_set "$use_gopher" gopher
+opt_enable_set "$use_lynx_key" lynx
+opt_with_set "$ded" editor
+opt_with_set "$dmail" mailer
+opt_with_set "$dbrowser" browser
+opt_enable_set "$use_help_cgi" help-cgi
+opt_enable_set "$use_external_uri_loader" external-uri-loader
+opt_enable_set "$use_w3mmailer" w3mmailer
+opt_enable_set "$use_alarm" alarm
+if test x"$use_image" = xy; then
+ val_x11=""
+ val_fb=""
+ if test x"$use_w3mimg_x11" = xy; then
+ val_x11="x11"
+ fi
+ if test x"$use_w3mimg_fb" = xy; then
+ if test x"$w3mimgdisplay_setuid" = xy; then
+ val_fb="fb+s"
+ else
+ val_fb="fb"
+ fi
+ fi
+ if test x"$val_x11" != x; then
+ if test x"$val_fb" != x; then
+ val="$val_x11,$val_fb"
+ else
+ val="$val_x11"
+ fi
+ elif test x"$val_fb" != x; then
+ val="$val_fb"
+ fi
+
+ if test x"$val" = x; then
+ OPT="${OPT} --enable-image"
+ else
+ OPT="${OPT} --enable-image='$val'"
+ fi
+
+ opt_enable_set "$use_xface" xface
+elif test x"$use_image" = xn; then
+ OPT="${OPT} --disable-image"
+fi
+if test x"$use_ssl" = xy; then
+ OPT="${OPT} --with-ssl"
+
+ opt_enable_set "$use_ssl_verify" sslverify
+elif test x"$use_ssl" = xn; then
+ OPT="${OPT} --without-ssl"
+fi
+opt_enable_set "$use_ipv6" ipv6
+
+env_set CC "$dcc"
+env_set CFLAGS "$dcflags"
+env_set LDFLAGS "$dldflags"
+
+echo "( cd '$topdir'; sh configure ${OPT} )"
+if test "${echo_only+set}" != set; then
+ echo "( cd '$topdir'; sh configure ${OPT} )" | sh
+fi
diff --git a/ChangeLog b/ChangeLog
@@ -1,3 +1,9 @@
+2003-03-12 Yuji Abe <cbo46560@pop12.odn.ne.jp>
+
+ * [w3m-dev 03814] fix autoconf
+ * acinclude.m4: quote variables
+ * Bonus/oldconfigure.sh: configure using old config.param
+
2003-03-12 Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>
* [w3m-dev 03812] fix autoconf
diff --git a/Makefile b/Makefile
@@ -22,11 +22,11 @@ sysconfdir = ${prefix}/etc
top_srcdir = .
DESTDIR =
-CFLAGS = $(OPTS) -g -O2 -I/usr/include/gc -I/usr/include/openssl $(DEFS)
+CFLAGS = $(OPTS) -g -O2 -I/usr/include/gc $(DEFS)
CPPFLAGS = -I/usr/include/gc -I/usr/include/gc
DEFS = -DHAVE_CONFIG_H -I. -I$(top_srcdir) -DAUXBIN_DIR=\"$(libexecdir)\" -DLIB_DIR=\"$(libdir)\" -DHELP_DIR=\"$(datadir)\" -DETC_DIR=\"$(sysconfdir)\"
LDFLAGS =
-LIBS = -L. -lindep -lncurses -lcurses -ltermcap -lm -lnsl -lgpm -lgc -L/usr/lib -lssl -lcrypto
+LIBS = -L. -lindep -lncurses -lcurses -ltermcap -lm -lnsl -lgpm -lgc -lssl -lcrypto
IMGCFLAGS = -I/usr/include/gdk-pixbuf-1.0 -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gdk-pixbuf-1.0 -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
IMGLDFLAGS = -L/usr/lib -lgdk_pixbuf -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lgdk_pixbuf_xlib -L/usr/lib -lgdk_pixbuf -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
@@ -44,12 +44,12 @@ INSTALL_SCRIPT=${INSTALL_PROGRAM}
INSTALL_DATA=${INSTALL} -m 644
INSTALL_W3MIMGDISPLAY=${INSTALL_PROGRAM}
-HELP_FILE = w3mhelp-w3m_ja.html
+HELP_FILE = w3mhelp-w3m_en.html
KEYBIND_SRC = keybind.c
KEYBIND_OBJ = keybind.o
-VERSION=0.4.1+cvs-1.784
-MODEL=i686-pc-linux-gnu-JA
+VERSION=0.4.1+cvs-1.786
+MODEL=i686-pc-linux-gnu-EN
SRCS=main.c file.c buffer.c display.c etc.c search.c linein.c table.c local.c \
form.c map.c frame.c rc.c menu.c mailcap.c image.c \
diff --git a/acinclude.m4 b/acinclude.m4
@@ -18,7 +18,7 @@ AC_MSG_CHECKING(if color escape sequence for kterm/pxvt is enabled)
AC_ARG_ENABLE(color,
[ --disable-color disable color escape sequence for kterm/pxvt],,
[enable_color="yes"])
-test x$enable_color = xyes && AC_DEFINE(USE_COLOR)
+test x"$enable_color" = xyes && AC_DEFINE(USE_COLOR)
AC_MSG_RESULT($enable_color)])
#
# ----------------------------------------------------------------
@@ -30,7 +30,7 @@ AC_MSG_CHECKING(if ansi color escape sequence support is enabled)
AC_ARG_ENABLE(ansi_color,
[ --disable-ansi-color disable ansi color escape sequence],,
[enable_ansi_color="yes"])
- test x$enable_ansi_color = xyes && AC_DEFINE(USE_ANSI_COLOR)
+ test x"$enable_ansi_color" = xyes && AC_DEFINE(USE_ANSI_COLOR)
AC_MSG_RESULT($enable_ansi_color)])
#
# ----------------------------------------------------------------
@@ -42,7 +42,7 @@ AC_MSG_CHECKING(if background color support is enabled)
AC_ARG_ENABLE(bgcolor,
[ --disable-bgcolor disable to set background color],,
[enable_bgcolor="yes"])
- test x$enable_bgcolor = xyes && AC_DEFINE(USE_BG_COLOR)
+ test x"$enable_bgcolor" = xyes && AC_DEFINE(USE_BG_COLOR)
AC_MSG_RESULT($enable_bgcolor)])
#
# ----------------------------------------------------------------
@@ -54,7 +54,7 @@ AC_MSG_CHECKING(if popup menu is enabled)
AC_ARG_ENABLE(menu,
[ --disable-menu disable popup menu],,
[enable_menu="yes"])
- test x$enable_menu = xyes && AC_DEFINE(USE_MENU)
+ test x"$enable_menu" = xyes && AC_DEFINE(USE_MENU)
AC_MSG_RESULT($enable_menu)])
#
# ----------------------------------------------------------------
@@ -66,7 +66,7 @@ AC_MSG_CHECKING(if mouse operation enabled)
AC_ARG_ENABLE(mouse,
[ --disable-mouse disable mouse operation],,
[enable_mouse="yes"])
-test x$enable_mouse = xyes && AC_DEFINE(USE_MOUSE)
+test x"$enable_mouse" = xyes && AC_DEFINE(USE_MOUSE)
AC_MSG_RESULT($enable_mouse)])
#
# ----------------------------------------------------------------
@@ -78,7 +78,7 @@ AC_MSG_CHECKING(if cookie is enabled)
AC_ARG_ENABLE(cookie,
[ --disable-cookie disable cookie],,
[enable_cookie="yes"])
-test x$enable_cookie = xyes && AC_DEFINE(USE_COOKIE)
+test x"$enable_cookie" = xyes && AC_DEFINE(USE_COOKIE)
AC_MSG_RESULT($enable_cookie)])
#
# ----------------------------------------------------------------
@@ -90,7 +90,7 @@ AC_MSG_CHECKING(if dictionary lookup is enabled)
AC_ARG_ENABLE(dict,
[ --disable-dict disable dictionary lookup (see README.dict)],,
[enable_dict="yes"])
- test x$enable_dict = xyes && AC_DEFINE(USE_DICT)
+ test x"$enable_dict" = xyes && AC_DEFINE(USE_DICT)
AC_MSG_RESULT($enable_dict)])
#
# ----------------------------------------------------------------
@@ -102,7 +102,7 @@ AC_MSG_CHECKING(if URL history is enabled)
AC_ARG_ENABLE(history,
[ --disable-history disable URL history],,
[enable_history="yes"])
- test x$enable_history = xyes && AC_DEFINE(USE_HISTORY)
+ test x"$enable_history" = xyes && AC_DEFINE(USE_HISTORY)
AC_MSG_RESULT($enable_history)])
#
# ----------------------------------------------------------------
@@ -114,7 +114,7 @@ AC_DEFUN([AC_W3M_NNTP],
AC_ARG_ENABLE(nntp,
[ --disable-nntp disable NNTP],,
[enable_nntp="yes"])
- test x$enable_nntp = xyes && AC_DEFINE(USE_NNTP)
+ test x"$enable_nntp" = xyes && AC_DEFINE(USE_NNTP)
AC_MSG_RESULT($enable_nntp)])
#
# ----------------------------------------------------------------
@@ -126,7 +126,7 @@ AC_DEFUN([AC_W3M_GOPHER],
AC_ARG_ENABLE(gopher,
[ --enable-gopher enable GOPHER],,
[enable_gopher="no"])
- test x$enable_gopher = xyes && AC_DEFINE(USE_GOPHER)
+ test x"$enable_gopher" = xyes && AC_DEFINE(USE_GOPHER)
AC_MSG_RESULT($enable_gopher)])
#
# ----------------------------------------------------------------
@@ -142,13 +142,13 @@ AC_ARG_ENABLE(japanese,
[ --enable-japanese=CODE support Japanese character sets, CODE=(S|E|j|N|n|m)],,
[enable_japanese="no"])
AC_MSG_RESULT($enable_japanese)
-if test x$enable_japanese = xno; then
+if test x"$enable_japanese" = xno; then
w3m_lang="en"
AC_DEFINE(DISPLAY_CODE, 'x')
AC_DEFINE(SYSTEM_CODE, 'x')
else
w3m_lang="ja";
- case x$enable_japanese in
+ case x"$enable_japanese" in
xS) AC_DEFINE_UNQUOTED(DISPLAY_CODE, '$enable_japanese')
AC_DEFINE(DISPLAY_CODE, 'S');;
xE|xj|xN|xn|xm)
@@ -167,12 +167,12 @@ AC_DEFINE_UNQUOTED(W3M_LANG,$W3M_LANG)])
# ----------------------------------------------------------------
AC_DEFUN([AC_W3M_KANJI_SYMBOLS],
[AC_SUBST(KANJI_SYMBOLS)
-if test x$enable_japanese != xno; then
+if test x"$enable_japanese" != xno; then
AC_MSG_CHECKING(if kanji symbols is used)
AC_ARG_ENABLE(kanjisymbols,
[ --enable-kanjisymbols use kanji symbols (enable japanese only)],,
[enable_kanjisymbols="yes"])
- test x$enable_kanjisymbols = xyes && AC_DEFINE(KANJI_SYMBOLS)
+ test x"$enable_kanjisymbols" = xyes && AC_DEFINE(KANJI_SYMBOLS)
AC_MSG_RESULT($enable_kanjisymbols)
fi])
#
@@ -187,7 +187,7 @@ AC_DEFUN([AC_W3M_KEYMAP],
[ --enable-lynx lynx style keybind],,
[enable_lynx="no"])
AC_MSG_RESULT($enable_lynx)
- if test x$enable_lynx = xyes; then
+ if test x"$enable_lynx" = xyes; then
w3m_keybind="lynx"
KEYMAP_FILE="keybind_lynx"
else
@@ -209,7 +209,7 @@ AC_DEFUN([AC_W3M_DIGEST_AUTH],
AC_ARG_ENABLE(digest_auth,
[ --disable-digest-auth disable digest auth],,
[enable_digest_auth="yes"])
- test x$enable_digest_auth = xyes && AC_DEFINE(USE_DIGEST_AUTH)
+ test x"$enable_digest_auth" = xyes && AC_DEFINE(USE_DIGEST_AUTH)
AC_MSG_RESULT($enable_digest_auth)])
#
# ----------------------------------------------------------------
@@ -222,7 +222,7 @@ AC_DEFUN([AC_W3M_MIGEMO],
AC_MSG_CHECKING(if migemo is supported with)
AC_ARG_WITH(migemo,
[ --with-migemo=MIGEMO_COMMAND migemo command],
- [test x$with_migemo = xyes || migemo_command="$with_migemo"])
+ [test x"$with_migemo" = xyes || migemo_command="$with_migemo"])
if test "${with_migemo+set}" = set; then
AC_DEFINE(USE_MIGEMO)
fi
@@ -238,7 +238,7 @@ w3m_editor="/usr/bin/vi"
AC_MSG_CHECKING(which editor is used by default)
AC_ARG_WITH(editor,
[ --with-editor=EDITOR default editor (/usr/bin/vi)],
- [w3m_editor=$with_editor])
+ [w3m_editor="$with_editor"])
AC_MSG_RESULT($w3m_editor)
AC_DEFINE_UNQUOTED(DEF_EDITOR, "$w3m_editor")])
#
@@ -251,7 +251,7 @@ w3m_mailer="/usr/bin/mail"
AC_MSG_CHECKING(which mailer is used by default)
AC_ARG_WITH(mailer,
[ --with-mailer=MAILER default mailer (/usr/bin/mail)],
- [w3m_mailer=$with_mailer])
+ [w3m_mailer="$with_mailer"])
AC_MSG_RESULT($w3m_mailer)
AC_DEFINE_UNQUOTED(DEF_MAILER, "$w3m_mailer")])
#
@@ -264,7 +264,7 @@ w3m_browser="/usr/bin/mozilla"
AC_MSG_CHECKING(which external browser is used by default)
AC_ARG_WITH(browser,
[ --with-browser=BROWSER default browser (/usr/bin/mozilla)],
- [w3m_browser=$with_browser])
+ [w3m_browser="$with_browser"])
AC_MSG_RESULT($w3m_browser)
AC_DEFINE_UNQUOTED(DEF_EXT_BROWSER, "$w3m_browser")])
#
@@ -277,7 +277,7 @@ AC_DEFUN([AC_W3M_HELP_CGI],
AC_ARG_ENABLE(help_cgi,
[ --disable-help-cgi disable help cgi],,
[enable_help_cgi="yes"])
- test x$enable_help_cgi = xyes && AC_DEFINE(USE_HELP_CGI)
+ test x"$enable_help_cgi" = xyes && AC_DEFINE(USE_HELP_CGI)
AC_MSG_RESULT($enable_help_cgi)])
#
# ----------------------------------------------------------------
@@ -289,7 +289,7 @@ AC_DEFUN([AC_W3M_EXTERNAL_URI_LOADER],
AC_ARG_ENABLE(external_uri_loader,
[ --disable-external-uri-loader disable external URI loader],,
[enable_external_uri_loader="yes"])
- test x$enable_external_uri_loader = xyes && AC_DEFINE(USE_EXTERNAL_URI_LOADER)
+ test x"$enable_external_uri_loader" = xyes && AC_DEFINE(USE_EXTERNAL_URI_LOADER)
AC_MSG_RESULT($enable_external_uri_loader)])
#
# ----------------------------------------------------------------
@@ -301,8 +301,8 @@ AC_DEFUN([AC_W3M_W3MMAILER],
AC_ARG_ENABLE(w3mmailer,
[ --disable-w3mmailer disable w3mmailer],,
[enable_w3mmailer="$enable_external_uri_loader"])
- test x$enable_external_uri_loader = xno && enable_w3mmailer=no
- test x$enable_w3mmailer = xyes && AC_DEFINE(USE_W3MMAILER)
+ test x"$enable_external_uri_loader" = xno && enable_w3mmailer=no
+ test x"$enable_w3mmailer" = xyes && AC_DEFINE(USE_W3MMAILER)
AC_MSG_RESULT($enable_w3mmailer)])
#
# ----------------------------------------------------------------
@@ -329,12 +329,12 @@ AC_DEFUN([AC_W3M_GC],
[AC_MSG_CHECKING(GC library exists)
AC_ARG_WITH(gc,
[ --with-gc[=PREFIX] libgc PREFIX],
- [test x$with_gc = xno && AC_MSG_ERROR([You can not build w3m without gc])],
- [with_gc=yes])
+ [test x"$with_gc" = xno && AC_MSG_ERROR([You can not build w3m without gc])],
+ [with_gc="yes"])
AC_MSG_RESULT($with_gc)
unset ac_cv_header_gc_h
AC_CHECK_HEADER(gc.h)
- if test x$ac_cv_header_gc_h = xno; then
+ if test x"$ac_cv_header_gc_h" = xno; then
AC_MSG_CHECKING(GC header location)
AC_MSG_RESULT()
gc_includedir="$with_gc/include"
@@ -348,13 +348,13 @@ AC_ARG_WITH(gc,
AC_CHECK_HEADER(gc.h, [gcincludedir=$dir; CPPFLAGS="$CPPFLAGS -I$dir"; CFLAGS="$CFLAGS -I$dir"; break])
CPPFLAGS="$cppflags"
done
- if test x$gcincludedir = xno; then
+ if test x"$gcincludedir" = xno; then
AC_MSG_ERROR([gc.h not found])
fi
fi
unset ac_cv_lib_gc_GC_version
AC_CHECK_LIB(gc, GC_version, [LIBS="$LIBS -lgc"])
- if test x$ac_cv_lib_gc_GC_version = xno; then
+ if test x"$ac_cv_lib_gc_GC_version" = xno; then
AC_MSG_CHECKING(GC library location)
AC_MSG_RESULT()
gc_libdir="$with_gc/lib"
@@ -368,7 +368,7 @@ AC_ARG_WITH(gc,
AC_CHECK_LIB(gc, GC_version, [gclibdir=$dir; LIBS="$LIBS -L$dir -lgc"; break])
LDFLAGS="$ldflags"
done
- if test x$gclibdir = xno; then
+ if test x"$gclibdir" = xno; then
AC_MSG_ERROR([libgc not found])
fi
fi])
@@ -384,7 +384,7 @@ AC_ARG_WITH(ssl,
[ --with-ssl[=PREFIX] support https protocol],,
[with_ssl="yes"])
AC_MSG_RESULT($with_ssl)
-if test x$with_ssl != xno; then
+if test x"$with_ssl" != xno; then
AC_DEFINE(USE_SSL)
AC_MSG_CHECKING(for SSL library/header)
test x"$with_ssl" = xyes || with_ssl="/usr/openssl /usr/ssl /usr /usr/local/openssl /usr/local/ssl /usr/local"
@@ -404,12 +404,12 @@ if test x$with_ssl != xno; then
[w3m_ssl="not found"],
[-lcrypto])
- if test x$w3m_ssl = xfound; then
+ if test x"$w3m_ssl" = xfound; then
AC_MSG_CHECKING(if SSL certificate verify is enabled)
AC_ARG_ENABLE(sslverify,
[ --disable-sslverify vefify SSL certificate],,
[enable_sslverify="yes"])
- test x$enable_sslverify = xyes && AC_DEFINE(USE_SSL_VERIFY)
+ test x"$enable_sslverify" = xyes && AC_DEFINE(USE_SSL_VERIFY)
AC_MSG_RESULT($enable_sslverify)
fi
fi])
@@ -424,7 +424,7 @@ AC_DEFUN([AC_W3M_ALARM],
[ --disable-alarm disable alarm],,
[enable_alarm="yes"])
AC_MSG_RESULT($enable_alarm)
- if test x$enable_alarm = xyes; then
+ if test x"$enable_alarm" = xyes; then
AC_TRY_COMPILE(
[#include <unistd.h>
#include <signal.h>],
@@ -438,8 +438,8 @@ AC_DEFUN([AC_W3M_ALARM],
# action-if-ok, message-if-badver, action-if-nover)
# ----------------------------------------------------------------
AC_DEFUN([AC_W3M_CHECK_VER],
-[version=$2
- if test x$version != x; then
+[version="$2"
+ if test x"$version" != x; then
AC_MSG_CHECKING($1 version)
AC_MSG_RESULT($version)
set -- `echo "$version" | sed 's/[[^0-9]]/ /g'`
@@ -475,12 +475,12 @@ AC_DEFUN([AC_W3M_IMAGE],
AC_SUBST(IMGFBLDFLAGS)
AC_MSG_CHECKING(if image is enabled)
AC_ARG_ENABLE(image,
- [ --disable-image=x11,fb,fb+s disable inline image],,
+ [ --enable-image[=x11,fb,fb+s] enable inline image handler],,
[enable_image="yes"])
AC_MSG_RESULT($enable_image)
- if test x$enable_image != xno; then
+ if test x"$enable_image" != xno; then
IMGOBJS=w3mimg/w3mimg.o
- if test x$enable_image = xyes; then
+ if test x"$enable_image" = xyes; then
enable_image=x11
case "`uname -s`" in
Linux|linux|LINUX)
@@ -503,44 +503,44 @@ AC_DEFUN([AC_W3M_IMAGE],
IFS="$save_ifs"
enable_image=yes
AC_DEFINE(USE_IMAGE)
- if test x$IMLIB_CONFIG = x; then
+ if test x"$IMLIB_CONFIG" = x; then
IMLIB_CONFIG=imlib-config
fi
- if test x$IMLIB2_CONFIG = x; then
+ if test x"$IMLIB2_CONFIG" = x; then
IMLIB2_CONFIG=imlib2-config
fi
- if test x$GDKPIXBUF_CONFIG = x; then
+ if test x"$GDKPIXBUF_CONFIG" = x; then
GDKPIXBUF_CONFIG=gdk-pixbuf-config
fi
AC_W3M_CHECK_VER([GdkPixbuf],
[`$GDKPIXBUF_CONFIG --version 2>/dev/null`],
0, 16, 0,
- [have_gdkpixbuf=yes],
- [have_gdkpixbuf=no
+ [have_gdkpixbuf="yes"],
+ [have_gdkpixbuf="no"
AC_W3M_CHECK_VER([Imlib],
[`$IMLIB_CONFIG --version 2>/dev/null`],
1, 9, 8,
- [have_imlib=yes],
- [have_imlib=no])
+ [have_imlib="yes"],
+ [have_imlib="no"])
AC_W3M_CHECK_VER([Imlib2],
[`$IMLIB2_CONFIG --version 2>/dev/null`],
1, 0, 5,
- [have_imlib2=yes],
- [have_imlib2=no])])
- if test x$x11 = xyes; then
- if test x$have_gdkpixbuf = xyes; then
+ [have_imlib2="yes"],
+ [have_imlib2="no"])])
+ if test x"$x11" = xyes; then
+ if test x"$have_gdkpixbuf" = xyes; then
AC_DEFINE(USE_W3MIMG_X11)
AC_DEFINE(USE_GDKPIXBUF)
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
IMGX11CFLAGS="`${GDKPIXBUF_CONFIG} --cflags`"
IMGX11LDFLAGS="`${GDKPIXBUF_CONFIG} --libs` -lgdk_pixbuf_xlib"
- elif test x$have_imlib = xyes; then
+ elif test x"$have_imlib" = xyes; then
AC_DEFINE(USE_W3MIMG_X11)
AC_DEFINE(USE_IMLIB)
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
IMGX11CFLAGS="`${IMLIB_CONFIG} --cflags`"
IMGX11LDFLAGS="`${IMLIB_CONFIG} --libs`"
- elif test x$have_imlib2 = xyes; then
+ elif test x"$have_imlib2" = xyes; then
AC_DEFINE(USE_W3MIMG_X11)
AC_DEFINE(USE_IMLIB2)
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
@@ -550,14 +550,14 @@ AC_DEFUN([AC_W3M_IMAGE],
AC_MSG_WARN([unable to build w3mimgdisplay with X11 support])
fi
fi
- if test x$fb = xyes; then
- if test x$have_gdkpixbuf = xyes; then
+ if test x"$fb" = xyes; then
+ if test x"$have_gdkpixbuf" = xyes; then
AC_DEFINE(USE_W3MIMG_FB)
AC_DEFINE(USE_GDKPIXBUF)
IMGOBJS="$IMGOBJS w3mimg/fb/fb_w3mimg.o w3mimg/fb/fb.o w3mimg/fb/fb_img.o"
IMGFBCFLAGS="`${GDKPIXBUF_CONFIG} --cflags`"
IMGFBLDFLAGS="`${GDKPIXBUF_CONFIG} --libs`"
- elif test x$have_imlib2 = xyes; then
+ elif test x"$have_imlib2" = xyes; then
AC_DEFINE(USE_W3MIMG_FB)
AC_DEFINE(USE_IMLIB2)
IMGOBJS="$IMGOBJS w3mimg/fb/fb_w3mimg.o w3mimg/fb/fb.o w3mimg/fb/fb_img.o"
@@ -582,7 +582,7 @@ AC_DEFUN([AC_W3M_XFACE],
AC_ARG_ENABLE(xface,
[ --enable-xface enable xface support],,
[enable_xface="$enable_image"])
- test x$enable_xface = xyes && AC_DEFINE(USE_XFACE)
+ test x"$enable_xface" = xyes && AC_DEFINE(USE_XFACE)
AC_MSG_RESULT($enable_xface)
AC_CHECK_PROG(uncompface, uncompface, "yes", "no")
test "$uncompface" = "no" && AC_MSG_WARN([uncompface is not installed.])
@@ -598,13 +598,13 @@ AC_ARG_ENABLE(ipv6,
[enable_ipv6="yes"])
AC_MSG_RESULT($enable_ipv6)
-if test x$enable_ipv6 = xyes; then
+if test x"$enable_ipv6" = xyes; then
AC_MSG_CHECKING(if IPv6 API available)
AC_SUBST(INET6)
AC_CHECK_FUNC(getaddrinfo,
- [enable_ipv6=yes; AC_DEFINE(INET6)],
- [enable_ipv6=no])
- if test x$enable_ipv6 = xno; then
+ [enable_ipv6="yes"; AC_DEFINE(INET6)],
+ [enable_ipv6="no"])
+ if test x"$enable_ipv6" = xno; then
AC_MSG_CHECKING(for libinet6)
for dir in /usr/local/v6/lib /usr/local/lib /usr/lib
do
@@ -613,7 +613,7 @@ if test x$enable_ipv6 = xyes; then
LIBS="$LIBS -L$dir"
fi
AC_CHECK_LIB(inet6, getaddrinfo,
- [enable_ipv6=yes; AC_DEFINE(INET6)
+ [enable_ipv6="yes"; AC_DEFINE(INET6)
use_libinet6="found"; LIBS="$LIBS -linet6"; break],
[use_libinet6="not found"])
fi
@@ -658,7 +658,7 @@ AC_DEFUN([AC_W3M_SIGNAL],
[AC_TYPE_SIGNAL
AC_SUBST(RETSIGTYPE)
AC_SUBST(SIGNAL_RETURN)
- if test x$ac_cv_type_signal = xvoid; then
+ if test x"$ac_cv_type_signal" = xvoid; then
AC_DEFINE(SIGNAL_RETURN,return)
else
AC_DEFINE(SIGNAL_RETURN,return 0)
diff --git a/aclocal.m4 b/aclocal.m4
@@ -30,7 +30,7 @@ AC_MSG_CHECKING(if color escape sequence for kterm/pxvt is enabled)
AC_ARG_ENABLE(color,
[ --disable-color disable color escape sequence for kterm/pxvt],,
[enable_color="yes"])
-test x$enable_color = xyes && AC_DEFINE(USE_COLOR)
+test x"$enable_color" = xyes && AC_DEFINE(USE_COLOR)
AC_MSG_RESULT($enable_color)])
#
# ----------------------------------------------------------------
@@ -42,7 +42,7 @@ AC_MSG_CHECKING(if ansi color escape sequence support is enabled)
AC_ARG_ENABLE(ansi_color,
[ --disable-ansi-color disable ansi color escape sequence],,
[enable_ansi_color="yes"])
- test x$enable_ansi_color = xyes && AC_DEFINE(USE_ANSI_COLOR)
+ test x"$enable_ansi_color" = xyes && AC_DEFINE(USE_ANSI_COLOR)
AC_MSG_RESULT($enable_ansi_color)])
#
# ----------------------------------------------------------------
@@ -54,7 +54,7 @@ AC_MSG_CHECKING(if background color support is enabled)
AC_ARG_ENABLE(bgcolor,
[ --disable-bgcolor disable to set background color],,
[enable_bgcolor="yes"])
- test x$enable_bgcolor = xyes && AC_DEFINE(USE_BG_COLOR)
+ test x"$enable_bgcolor" = xyes && AC_DEFINE(USE_BG_COLOR)
AC_MSG_RESULT($enable_bgcolor)])
#
# ----------------------------------------------------------------
@@ -66,7 +66,7 @@ AC_MSG_CHECKING(if popup menu is enabled)
AC_ARG_ENABLE(menu,
[ --disable-menu disable popup menu],,
[enable_menu="yes"])
- test x$enable_menu = xyes && AC_DEFINE(USE_MENU)
+ test x"$enable_menu" = xyes && AC_DEFINE(USE_MENU)
AC_MSG_RESULT($enable_menu)])
#
# ----------------------------------------------------------------
@@ -78,7 +78,7 @@ AC_MSG_CHECKING(if mouse operation enabled)
AC_ARG_ENABLE(mouse,
[ --disable-mouse disable mouse operation],,
[enable_mouse="yes"])
-test x$enable_mouse = xyes && AC_DEFINE(USE_MOUSE)
+test x"$enable_mouse" = xyes && AC_DEFINE(USE_MOUSE)
AC_MSG_RESULT($enable_mouse)])
#
# ----------------------------------------------------------------
@@ -90,7 +90,7 @@ AC_MSG_CHECKING(if cookie is enabled)
AC_ARG_ENABLE(cookie,
[ --disable-cookie disable cookie],,
[enable_cookie="yes"])
-test x$enable_cookie = xyes && AC_DEFINE(USE_COOKIE)
+test x"$enable_cookie" = xyes && AC_DEFINE(USE_COOKIE)
AC_MSG_RESULT($enable_cookie)])
#
# ----------------------------------------------------------------
@@ -102,7 +102,7 @@ AC_MSG_CHECKING(if dictionary lookup is enabled)
AC_ARG_ENABLE(dict,
[ --disable-dict disable dictionary lookup (see README.dict)],,
[enable_dict="yes"])
- test x$enable_dict = xyes && AC_DEFINE(USE_DICT)
+ test x"$enable_dict" = xyes && AC_DEFINE(USE_DICT)
AC_MSG_RESULT($enable_dict)])
#
# ----------------------------------------------------------------
@@ -114,7 +114,7 @@ AC_MSG_CHECKING(if URL history is enabled)
AC_ARG_ENABLE(history,
[ --disable-history disable URL history],,
[enable_history="yes"])
- test x$enable_history = xyes && AC_DEFINE(USE_HISTORY)
+ test x"$enable_history" = xyes && AC_DEFINE(USE_HISTORY)
AC_MSG_RESULT($enable_history)])
#
# ----------------------------------------------------------------
@@ -126,7 +126,7 @@ AC_DEFUN([AC_W3M_NNTP],
AC_ARG_ENABLE(nntp,
[ --disable-nntp disable NNTP],,
[enable_nntp="yes"])
- test x$enable_nntp = xyes && AC_DEFINE(USE_NNTP)
+ test x"$enable_nntp" = xyes && AC_DEFINE(USE_NNTP)
AC_MSG_RESULT($enable_nntp)])
#
# ----------------------------------------------------------------
@@ -138,7 +138,7 @@ AC_DEFUN([AC_W3M_GOPHER],
AC_ARG_ENABLE(gopher,
[ --enable-gopher enable GOPHER],,
[enable_gopher="no"])
- test x$enable_gopher = xyes && AC_DEFINE(USE_GOPHER)
+ test x"$enable_gopher" = xyes && AC_DEFINE(USE_GOPHER)
AC_MSG_RESULT($enable_gopher)])
#
# ----------------------------------------------------------------
@@ -154,13 +154,13 @@ AC_ARG_ENABLE(japanese,
[ --enable-japanese=CODE support Japanese character sets, CODE=(S|E|j|N|n|m)],,
[enable_japanese="no"])
AC_MSG_RESULT($enable_japanese)
-if test x$enable_japanese = xno; then
+if test x"$enable_japanese" = xno; then
w3m_lang="en"
AC_DEFINE(DISPLAY_CODE, 'x')
AC_DEFINE(SYSTEM_CODE, 'x')
else
w3m_lang="ja";
- case x$enable_japanese in
+ case x"$enable_japanese" in
xS) AC_DEFINE_UNQUOTED(DISPLAY_CODE, '$enable_japanese')
AC_DEFINE(DISPLAY_CODE, 'S');;
xE|xj|xN|xn|xm)
@@ -179,12 +179,12 @@ AC_DEFINE_UNQUOTED(W3M_LANG,$W3M_LANG)])
# ----------------------------------------------------------------
AC_DEFUN([AC_W3M_KANJI_SYMBOLS],
[AC_SUBST(KANJI_SYMBOLS)
-if test x$enable_japanese != xno; then
+if test x"$enable_japanese" != xno; then
AC_MSG_CHECKING(if kanji symbols is used)
AC_ARG_ENABLE(kanjisymbols,
[ --enable-kanjisymbols use kanji symbols (enable japanese only)],,
[enable_kanjisymbols="yes"])
- test x$enable_kanjisymbols = xyes && AC_DEFINE(KANJI_SYMBOLS)
+ test x"$enable_kanjisymbols" = xyes && AC_DEFINE(KANJI_SYMBOLS)
AC_MSG_RESULT($enable_kanjisymbols)
fi])
#
@@ -199,7 +199,7 @@ AC_DEFUN([AC_W3M_KEYMAP],
[ --enable-lynx lynx style keybind],,
[enable_lynx="no"])
AC_MSG_RESULT($enable_lynx)
- if test x$enable_lynx = xyes; then
+ if test x"$enable_lynx" = xyes; then
w3m_keybind="lynx"
KEYMAP_FILE="keybind_lynx"
else
@@ -221,7 +221,7 @@ AC_DEFUN([AC_W3M_DIGEST_AUTH],
AC_ARG_ENABLE(digest_auth,
[ --disable-digest-auth disable digest auth],,
[enable_digest_auth="yes"])
- test x$enable_digest_auth = xyes && AC_DEFINE(USE_DIGEST_AUTH)
+ test x"$enable_digest_auth" = xyes && AC_DEFINE(USE_DIGEST_AUTH)
AC_MSG_RESULT($enable_digest_auth)])
#
# ----------------------------------------------------------------
@@ -234,7 +234,7 @@ AC_DEFUN([AC_W3M_MIGEMO],
AC_MSG_CHECKING(if migemo is supported with)
AC_ARG_WITH(migemo,
[ --with-migemo=MIGEMO_COMMAND migemo command],
- [test x$with_migemo = xyes || migemo_command="$with_migemo"])
+ [test x"$with_migemo" = xyes || migemo_command="$with_migemo"])
if test "${with_migemo+set}" = set; then
AC_DEFINE(USE_MIGEMO)
fi
@@ -250,7 +250,7 @@ w3m_editor="/usr/bin/vi"
AC_MSG_CHECKING(which editor is used by default)
AC_ARG_WITH(editor,
[ --with-editor=EDITOR default editor (/usr/bin/vi)],
- [w3m_editor=$with_editor])
+ [w3m_editor="$with_editor"])
AC_MSG_RESULT($w3m_editor)
AC_DEFINE_UNQUOTED(DEF_EDITOR, "$w3m_editor")])
#
@@ -263,7 +263,7 @@ w3m_mailer="/usr/bin/mail"
AC_MSG_CHECKING(which mailer is used by default)
AC_ARG_WITH(mailer,
[ --with-mailer=MAILER default mailer (/usr/bin/mail)],
- [w3m_mailer=$with_mailer])
+ [w3m_mailer="$with_mailer"])
AC_MSG_RESULT($w3m_mailer)
AC_DEFINE_UNQUOTED(DEF_MAILER, "$w3m_mailer")])
#
@@ -276,7 +276,7 @@ w3m_browser="/usr/bin/mozilla"
AC_MSG_CHECKING(which external browser is used by default)
AC_ARG_WITH(browser,
[ --with-browser=BROWSER default browser (/usr/bin/mozilla)],
- [w3m_browser=$with_browser])
+ [w3m_browser="$with_browser"])
AC_MSG_RESULT($w3m_browser)
AC_DEFINE_UNQUOTED(DEF_EXT_BROWSER, "$w3m_browser")])
#
@@ -289,7 +289,7 @@ AC_DEFUN([AC_W3M_HELP_CGI],
AC_ARG_ENABLE(help_cgi,
[ --disable-help-cgi disable help cgi],,
[enable_help_cgi="yes"])
- test x$enable_help_cgi = xyes && AC_DEFINE(USE_HELP_CGI)
+ test x"$enable_help_cgi" = xyes && AC_DEFINE(USE_HELP_CGI)
AC_MSG_RESULT($enable_help_cgi)])
#
# ----------------------------------------------------------------
@@ -301,7 +301,7 @@ AC_DEFUN([AC_W3M_EXTERNAL_URI_LOADER],
AC_ARG_ENABLE(external_uri_loader,
[ --disable-external-uri-loader disable external URI loader],,
[enable_external_uri_loader="yes"])
- test x$enable_external_uri_loader = xyes && AC_DEFINE(USE_EXTERNAL_URI_LOADER)
+ test x"$enable_external_uri_loader" = xyes && AC_DEFINE(USE_EXTERNAL_URI_LOADER)
AC_MSG_RESULT($enable_external_uri_loader)])
#
# ----------------------------------------------------------------
@@ -313,8 +313,8 @@ AC_DEFUN([AC_W3M_W3MMAILER],
AC_ARG_ENABLE(w3mmailer,
[ --disable-w3mmailer disable w3mmailer],,
[enable_w3mmailer="$enable_external_uri_loader"])
- test x$enable_external_uri_loader = xno && enable_w3mmailer=no
- test x$enable_w3mmailer = xyes && AC_DEFINE(USE_W3MMAILER)
+ test x"$enable_external_uri_loader" = xno && enable_w3mmailer=no
+ test x"$enable_w3mmailer" = xyes && AC_DEFINE(USE_W3MMAILER)
AC_MSG_RESULT($enable_w3mmailer)])
#
# ----------------------------------------------------------------
@@ -341,12 +341,12 @@ AC_DEFUN([AC_W3M_GC],
[AC_MSG_CHECKING(GC library exists)
AC_ARG_WITH(gc,
[ --with-gc[=PREFIX] libgc PREFIX],
- [test x$with_gc = xno && AC_MSG_ERROR([You can not build w3m without gc])],
- [with_gc=yes])
+ [test x"$with_gc" = xno && AC_MSG_ERROR([You can not build w3m without gc])],
+ [with_gc="yes"])
AC_MSG_RESULT($with_gc)
unset ac_cv_header_gc_h
AC_CHECK_HEADER(gc.h)
- if test x$ac_cv_header_gc_h = xno; then
+ if test x"$ac_cv_header_gc_h" = xno; then
AC_MSG_CHECKING(GC header location)
AC_MSG_RESULT()
gc_includedir="$with_gc/include"
@@ -360,13 +360,13 @@ AC_ARG_WITH(gc,
AC_CHECK_HEADER(gc.h, [gcincludedir=$dir; CPPFLAGS="$CPPFLAGS -I$dir"; CFLAGS="$CFLAGS -I$dir"; break])
CPPFLAGS="$cppflags"
done
- if test x$gcincludedir = xno; then
+ if test x"$gcincludedir" = xno; then
AC_MSG_ERROR([gc.h not found])
fi
fi
unset ac_cv_lib_gc_GC_version
AC_CHECK_LIB(gc, GC_version, [LIBS="$LIBS -lgc"])
- if test x$ac_cv_lib_gc_GC_version = xno; then
+ if test x"$ac_cv_lib_gc_GC_version" = xno; then
AC_MSG_CHECKING(GC library location)
AC_MSG_RESULT()
gc_libdir="$with_gc/lib"
@@ -380,7 +380,7 @@ AC_ARG_WITH(gc,
AC_CHECK_LIB(gc, GC_version, [gclibdir=$dir; LIBS="$LIBS -L$dir -lgc"; break])
LDFLAGS="$ldflags"
done
- if test x$gclibdir = xno; then
+ if test x"$gclibdir" = xno; then
AC_MSG_ERROR([libgc not found])
fi
fi])
@@ -396,7 +396,7 @@ AC_ARG_WITH(ssl,
[ --with-ssl[=PREFIX] support https protocol],,
[with_ssl="yes"])
AC_MSG_RESULT($with_ssl)
-if test x$with_ssl != xno; then
+if test x"$with_ssl" != xno; then
AC_DEFINE(USE_SSL)
AC_MSG_CHECKING(for SSL library/header)
test x"$with_ssl" = xyes || with_ssl="/usr/openssl /usr/ssl /usr /usr/local/openssl /usr/local/ssl /usr/local"
@@ -416,12 +416,12 @@ if test x$with_ssl != xno; then
[w3m_ssl="not found"],
[-lcrypto])
- if test x$w3m_ssl = xfound; then
+ if test x"$w3m_ssl" = xfound; then
AC_MSG_CHECKING(if SSL certificate verify is enabled)
AC_ARG_ENABLE(sslverify,
[ --disable-sslverify vefify SSL certificate],,
[enable_sslverify="yes"])
- test x$enable_sslverify = xyes && AC_DEFINE(USE_SSL_VERIFY)
+ test x"$enable_sslverify" = xyes && AC_DEFINE(USE_SSL_VERIFY)
AC_MSG_RESULT($enable_sslverify)
fi
fi])
@@ -436,7 +436,7 @@ AC_DEFUN([AC_W3M_ALARM],
[ --disable-alarm disable alarm],,
[enable_alarm="yes"])
AC_MSG_RESULT($enable_alarm)
- if test x$enable_alarm = xyes; then
+ if test x"$enable_alarm" = xyes; then
AC_TRY_COMPILE(
[#include <unistd.h>
#include <signal.h>],
@@ -450,8 +450,8 @@ AC_DEFUN([AC_W3M_ALARM],
# action-if-ok, message-if-badver, action-if-nover)
# ----------------------------------------------------------------
AC_DEFUN([AC_W3M_CHECK_VER],
-[version=$2
- if test x$version != x; then
+[version="$2"
+ if test x"$version" != x; then
AC_MSG_CHECKING($1 version)
AC_MSG_RESULT($version)
set -- `echo "$version" | sed 's/[[^0-9]]/ /g'`
@@ -487,12 +487,12 @@ AC_DEFUN([AC_W3M_IMAGE],
AC_SUBST(IMGFBLDFLAGS)
AC_MSG_CHECKING(if image is enabled)
AC_ARG_ENABLE(image,
- [ --disable-image=x11,fb,fb+s disable inline image],,
+ [ --enable-image[=x11,fb,fb+s] enable inline image handler],,
[enable_image="yes"])
AC_MSG_RESULT($enable_image)
- if test x$enable_image != xno; then
+ if test x"$enable_image" != xno; then
IMGOBJS=w3mimg/w3mimg.o
- if test x$enable_image = xyes; then
+ if test x"$enable_image" = xyes; then
enable_image=x11
case "`uname -s`" in
Linux|linux|LINUX)
@@ -515,44 +515,44 @@ AC_DEFUN([AC_W3M_IMAGE],
IFS="$save_ifs"
enable_image=yes
AC_DEFINE(USE_IMAGE)
- if test x$IMLIB_CONFIG = x; then
+ if test x"$IMLIB_CONFIG" = x; then
IMLIB_CONFIG=imlib-config
fi
- if test x$IMLIB2_CONFIG = x; then
+ if test x"$IMLIB2_CONFIG" = x; then
IMLIB2_CONFIG=imlib2-config
fi
- if test x$GDKPIXBUF_CONFIG = x; then
+ if test x"$GDKPIXBUF_CONFIG" = x; then
GDKPIXBUF_CONFIG=gdk-pixbuf-config
fi
AC_W3M_CHECK_VER([GdkPixbuf],
[`$GDKPIXBUF_CONFIG --version 2>/dev/null`],
0, 16, 0,
- [have_gdkpixbuf=yes],
- [have_gdkpixbuf=no
+ [have_gdkpixbuf="yes"],
+ [have_gdkpixbuf="no"
AC_W3M_CHECK_VER([Imlib],
[`$IMLIB_CONFIG --version 2>/dev/null`],
1, 9, 8,
- [have_imlib=yes],
- [have_imlib=no])
+ [have_imlib="yes"],
+ [have_imlib="no"])
AC_W3M_CHECK_VER([Imlib2],
[`$IMLIB2_CONFIG --version 2>/dev/null`],
1, 0, 5,
- [have_imlib2=yes],
- [have_imlib2=no])])
- if test x$x11 = xyes; then
- if test x$have_gdkpixbuf = xyes; then
+ [have_imlib2="yes"],
+ [have_imlib2="no"])])
+ if test x"$x11" = xyes; then
+ if test x"$have_gdkpixbuf" = xyes; then
AC_DEFINE(USE_W3MIMG_X11)
AC_DEFINE(USE_GDKPIXBUF)
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
IMGX11CFLAGS="`${GDKPIXBUF_CONFIG} --cflags`"
IMGX11LDFLAGS="`${GDKPIXBUF_CONFIG} --libs` -lgdk_pixbuf_xlib"
- elif test x$have_imlib = xyes; then
+ elif test x"$have_imlib" = xyes; then
AC_DEFINE(USE_W3MIMG_X11)
AC_DEFINE(USE_IMLIB)
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
IMGX11CFLAGS="`${IMLIB_CONFIG} --cflags`"
IMGX11LDFLAGS="`${IMLIB_CONFIG} --libs`"
- elif test x$have_imlib2 = xyes; then
+ elif test x"$have_imlib2" = xyes; then
AC_DEFINE(USE_W3MIMG_X11)
AC_DEFINE(USE_IMLIB2)
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
@@ -562,14 +562,14 @@ AC_DEFUN([AC_W3M_IMAGE],
AC_MSG_WARN([unable to build w3mimgdisplay with X11 support])
fi
fi
- if test x$fb = xyes; then
- if test x$have_gdkpixbuf = xyes; then
+ if test x"$fb" = xyes; then
+ if test x"$have_gdkpixbuf" = xyes; then
AC_DEFINE(USE_W3MIMG_FB)
AC_DEFINE(USE_GDKPIXBUF)
IMGOBJS="$IMGOBJS w3mimg/fb/fb_w3mimg.o w3mimg/fb/fb.o w3mimg/fb/fb_img.o"
IMGFBCFLAGS="`${GDKPIXBUF_CONFIG} --cflags`"
IMGFBLDFLAGS="`${GDKPIXBUF_CONFIG} --libs`"
- elif test x$have_imlib2 = xyes; then
+ elif test x"$have_imlib2" = xyes; then
AC_DEFINE(USE_W3MIMG_FB)
AC_DEFINE(USE_IMLIB2)
IMGOBJS="$IMGOBJS w3mimg/fb/fb_w3mimg.o w3mimg/fb/fb.o w3mimg/fb/fb_img.o"
@@ -594,7 +594,7 @@ AC_DEFUN([AC_W3M_XFACE],
AC_ARG_ENABLE(xface,
[ --enable-xface enable xface support],,
[enable_xface="$enable_image"])
- test x$enable_xface = xyes && AC_DEFINE(USE_XFACE)
+ test x"$enable_xface" = xyes && AC_DEFINE(USE_XFACE)
AC_MSG_RESULT($enable_xface)
AC_CHECK_PROG(uncompface, uncompface, "yes", "no")
test "$uncompface" = "no" && AC_MSG_WARN([uncompface is not installed.])
@@ -610,13 +610,13 @@ AC_ARG_ENABLE(ipv6,
[enable_ipv6="yes"])
AC_MSG_RESULT($enable_ipv6)
-if test x$enable_ipv6 = xyes; then
+if test x"$enable_ipv6" = xyes; then
AC_MSG_CHECKING(if IPv6 API available)
AC_SUBST(INET6)
AC_CHECK_FUNC(getaddrinfo,
- [enable_ipv6=yes; AC_DEFINE(INET6)],
- [enable_ipv6=no])
- if test x$enable_ipv6 = xno; then
+ [enable_ipv6="yes"; AC_DEFINE(INET6)],
+ [enable_ipv6="no"])
+ if test x"$enable_ipv6" = xno; then
AC_MSG_CHECKING(for libinet6)
for dir in /usr/local/v6/lib /usr/local/lib /usr/lib
do
@@ -625,7 +625,7 @@ if test x$enable_ipv6 = xyes; then
LIBS="$LIBS -L$dir"
fi
AC_CHECK_LIB(inet6, getaddrinfo,
- [enable_ipv6=yes; AC_DEFINE(INET6)
+ [enable_ipv6="yes"; AC_DEFINE(INET6)
use_libinet6="found"; LIBS="$LIBS -linet6"; break],
[use_libinet6="not found"])
fi
@@ -670,7 +670,7 @@ AC_DEFUN([AC_W3M_SIGNAL],
[AC_TYPE_SIGNAL
AC_SUBST(RETSIGTYPE)
AC_SUBST(SIGNAL_RETURN)
- if test x$ac_cv_type_signal = xvoid; then
+ if test x"$ac_cv_type_signal" = xvoid; then
AC_DEFINE(SIGNAL_RETURN,return)
else
AC_DEFINE(SIGNAL_RETURN,return 0)
diff --git a/configure b/configure
@@ -58,7 +58,7 @@ ac_help="$ac_help
ac_help="$ac_help
--disable-alarm disable alarm"
ac_help="$ac_help
- --disable-image=x11,fb,fb+s disable inline image"
+ --enable-image[=x11,fb,fb+s] enable inline image handler"
ac_help="$ac_help
--enable-xface enable xface support"
ac_help="$ac_help
@@ -1329,7 +1329,7 @@ else
fi
echo "$ac_t""$enable_japanese" 1>&6
-if test x$enable_japanese = xno; then
+if test x"$enable_japanese" = xno; then
w3m_lang="en"
cat >> confdefs.h <<\EOF
#define DISPLAY_CODE 'x'
@@ -1341,7 +1341,7 @@ EOF
else
w3m_lang="ja";
- case x$enable_japanese in
+ case x"$enable_japanese" in
xS) cat >> confdefs.h <<EOF
#define DISPLAY_CODE '$enable_japanese'
EOF
@@ -1376,7 +1376,7 @@ cat >> confdefs.h <<EOF
EOF
-if test x$enable_japanese != xno; then
+if test x"$enable_japanese" != xno; then
echo $ac_n "checking if kanji symbols is used""... $ac_c" 1>&6
echo "configure:1382: checking if kanji symbols is used" >&5
# Check whether --enable-kanjisymbols or --disable-kanjisymbols was given.
@@ -1387,7 +1387,7 @@ else
enable_kanjisymbols="yes"
fi
- test x$enable_kanjisymbols = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_kanjisymbols" = xyes && cat >> confdefs.h <<\EOF
#define KANJI_SYMBOLS 1
EOF
@@ -1405,7 +1405,7 @@ else
enable_color="yes"
fi
-test x$enable_color = xyes && cat >> confdefs.h <<\EOF
+test x"$enable_color" = xyes && cat >> confdefs.h <<\EOF
#define USE_COLOR 1
EOF
@@ -1421,7 +1421,7 @@ else
enable_ansi_color="yes"
fi
- test x$enable_ansi_color = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_ansi_color" = xyes && cat >> confdefs.h <<\EOF
#define USE_ANSI_COLOR 1
EOF
@@ -1437,7 +1437,7 @@ else
enable_bgcolor="yes"
fi
- test x$enable_bgcolor = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_bgcolor" = xyes && cat >> confdefs.h <<\EOF
#define USE_BG_COLOR 1
EOF
@@ -1451,7 +1451,7 @@ echo "configure:1451: checking if migemo is supported with" >&5
# Check whether --with-migemo or --without-migemo was given.
if test "${with_migemo+set}" = set; then
withval="$with_migemo"
- test x$with_migemo = xyes || migemo_command="$with_migemo"
+ test x"$with_migemo" = xyes || migemo_command="$with_migemo"
fi
if test "${with_migemo+set}" = set; then
@@ -1477,7 +1477,7 @@ else
enable_mouse="yes"
fi
-test x$enable_mouse = xyes && cat >> confdefs.h <<\EOF
+test x"$enable_mouse" = xyes && cat >> confdefs.h <<\EOF
#define USE_MOUSE 1
EOF
@@ -1494,7 +1494,7 @@ else
enable_menu="yes"
fi
- test x$enable_menu = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_menu" = xyes && cat >> confdefs.h <<\EOF
#define USE_MENU 1
EOF
@@ -1510,7 +1510,7 @@ else
enable_cookie="yes"
fi
-test x$enable_cookie = xyes && cat >> confdefs.h <<\EOF
+test x"$enable_cookie" = xyes && cat >> confdefs.h <<\EOF
#define USE_COOKIE 1
EOF
@@ -1526,7 +1526,7 @@ else
enable_dict="yes"
fi
- test x$enable_dict = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_dict" = xyes && cat >> confdefs.h <<\EOF
#define USE_DICT 1
EOF
@@ -1542,7 +1542,7 @@ else
enable_history="yes"
fi
- test x$enable_history = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_history" = xyes && cat >> confdefs.h <<\EOF
#define USE_HISTORY 1
EOF
@@ -1558,7 +1558,7 @@ else
enable_digest_auth="yes"
fi
- test x$enable_digest_auth = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_digest_auth" = xyes && cat >> confdefs.h <<\EOF
#define USE_DIGEST_AUTH 1
EOF
@@ -1574,7 +1574,7 @@ else
enable_nntp="yes"
fi
- test x$enable_nntp = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_nntp" = xyes && cat >> confdefs.h <<\EOF
#define USE_NNTP 1
EOF
@@ -1590,7 +1590,7 @@ else
enable_gopher="no"
fi
- test x$enable_gopher = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_gopher" = xyes && cat >> confdefs.h <<\EOF
#define USE_GOPHER 1
EOF
@@ -1609,7 +1609,7 @@ else
fi
echo "$ac_t""$enable_lynx" 1>&6
- if test x$enable_lynx = xyes; then
+ if test x"$enable_lynx" = xyes; then
w3m_keybind="lynx"
KEYMAP_FILE="keybind_lynx"
else
@@ -1635,7 +1635,7 @@ echo "configure:1635: checking which editor is used by default" >&5
# Check whether --with-editor or --without-editor was given.
if test "${with_editor+set}" = set; then
withval="$with_editor"
- w3m_editor=$with_editor
+ w3m_editor="$with_editor"
fi
echo "$ac_t""$w3m_editor" 1>&6
@@ -1650,7 +1650,7 @@ echo "configure:1650: checking which mailer is used by default" >&5
# Check whether --with-mailer or --without-mailer was given.
if test "${with_mailer+set}" = set; then
withval="$with_mailer"
- w3m_mailer=$with_mailer
+ w3m_mailer="$with_mailer"
fi
echo "$ac_t""$w3m_mailer" 1>&6
@@ -1665,7 +1665,7 @@ echo "configure:1665: checking which external browser is used by default" >&5
# Check whether --with-browser or --without-browser was given.
if test "${with_browser+set}" = set; then
withval="$with_browser"
- w3m_browser=$with_browser
+ w3m_browser="$with_browser"
fi
echo "$ac_t""$w3m_browser" 1>&6
@@ -1684,7 +1684,7 @@ else
enable_help_cgi="yes"
fi
- test x$enable_help_cgi = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_help_cgi" = xyes && cat >> confdefs.h <<\EOF
#define USE_HELP_CGI 1
EOF
@@ -1700,7 +1700,7 @@ else
enable_external_uri_loader="yes"
fi
- test x$enable_external_uri_loader = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_external_uri_loader" = xyes && cat >> confdefs.h <<\EOF
#define USE_EXTERNAL_URI_LOADER 1
EOF
@@ -1716,8 +1716,8 @@ else
enable_w3mmailer="$enable_external_uri_loader"
fi
- test x$enable_external_uri_loader = xno && enable_w3mmailer=no
- test x$enable_w3mmailer = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_external_uri_loader" = xno && enable_w3mmailer=no
+ test x"$enable_w3mmailer" = xyes && cat >> confdefs.h <<\EOF
#define USE_W3MMAILER 1
EOF
@@ -2191,9 +2191,9 @@ echo "configure:2191: checking GC library exists" >&5
# Check whether --with-gc or --without-gc was given.
if test "${with_gc+set}" = set; then
withval="$with_gc"
- test x$with_gc = xno && { echo "configure: error: You can not build w3m without gc" 1>&2; exit 1; }
+ test x"$with_gc" = xno && { echo "configure: error: You can not build w3m without gc" 1>&2; exit 1; }
else
- with_gc=yes
+ with_gc="yes"
fi
echo "$ac_t""$with_gc" 1>&6
@@ -2231,7 +2231,7 @@ else
echo "$ac_t""no" 1>&6
fi
- if test x$ac_cv_header_gc_h = xno; then
+ if test x"$ac_cv_header_gc_h" = xno; then
echo $ac_n "checking GC header location""... $ac_c" 1>&6
echo "configure:2237: checking GC header location" >&5
echo "$ac_t""" 1>&6
@@ -2279,7 +2279,7 @@ fi
CPPFLAGS="$cppflags"
done
- if test x$gcincludedir = xno; then
+ if test x"$gcincludedir" = xno; then
{ echo "configure: error: gc.h not found" 1>&2; exit 1; }
fi
fi
@@ -2324,7 +2324,7 @@ else
echo "$ac_t""no" 1>&6
fi
- if test x$ac_cv_lib_gc_GC_version = xno; then
+ if test x"$ac_cv_lib_gc_GC_version" = xno; then
echo $ac_n "checking GC library location""... $ac_c" 1>&6
echo "configure:2330: checking GC library location" >&5
echo "$ac_t""" 1>&6
@@ -2379,7 +2379,7 @@ fi
LDFLAGS="$ldflags"
done
- if test x$gclibdir = xno; then
+ if test x"$gclibdir" = xno; then
{ echo "configure: error: libgc not found" 1>&2; exit 1; }
fi
fi
@@ -2395,7 +2395,7 @@ else
fi
echo "$ac_t""$enable_alarm" 1>&6
- if test x$enable_alarm = xyes; then
+ if test x"$enable_alarm" = xyes; then
cat > conftest.$ac_ext <<EOF
#line 2401 "configure"
#include "confdefs.h"
@@ -2449,9 +2449,9 @@ else
fi
echo "$ac_t""$enable_image" 1>&6
- if test x$enable_image != xno; then
+ if test x"$enable_image" != xno; then
IMGOBJS=w3mimg/w3mimg.o
- if test x$enable_image = xyes; then
+ if test x"$enable_image" = xyes; then
enable_image=x11
case "`uname -s`" in
Linux|linux|LINUX)
@@ -2483,97 +2483,97 @@ EOF
#define USE_IMAGE 1
EOF
- if test x$IMLIB_CONFIG = x; then
+ if test x"$IMLIB_CONFIG" = x; then
IMLIB_CONFIG=imlib-config
fi
- if test x$IMLIB2_CONFIG = x; then
+ if test x"$IMLIB2_CONFIG" = x; then
IMLIB2_CONFIG=imlib2-config
fi
- if test x$GDKPIXBUF_CONFIG = x; then
+ if test x"$GDKPIXBUF_CONFIG" = x; then
GDKPIXBUF_CONFIG=gdk-pixbuf-config
fi
- version=`$GDKPIXBUF_CONFIG --version 2>/dev/null`
- if test x$version != x; then
+ version="`$GDKPIXBUF_CONFIG --version 2>/dev/null`"
+ if test x"$version" != x; then
echo $ac_n "checking GdkPixbuf version""... $ac_c" 1>&6
echo "configure:2499: checking GdkPixbuf version" >&5
echo "$ac_t""$version" 1>&6
set -- `echo "$version" | sed 's/[^0-9]/ /g'`
if test "$1" -ne "0" -o "$2" -lt "16" -o "$3" -lt "0"; then
echo "configure: warning: GdkPixbuf is too old. Install GdkPixbuf (version >= 0.16.0)" 1>&2
- have_gdkpixbuf=no
- version=`$IMLIB_CONFIG --version 2>/dev/null`
- if test x$version != x; then
+ have_gdkpixbuf="no"
+ version="`$IMLIB_CONFIG --version 2>/dev/null`"
+ if test x"$version" != x; then
echo $ac_n "checking Imlib version""... $ac_c" 1>&6
echo "configure:2508: checking Imlib version" >&5
echo "$ac_t""$version" 1>&6
set -- `echo "$version" | sed 's/[^0-9]/ /g'`
if test "$1" -ne "1" -o "$2" -lt "9" -o "$3" -lt "8"; then
echo "configure: warning: Imlib is too old. Install Imlib (version >= 1.9.8)" 1>&2
- have_imlib=no
+ have_imlib="no"
else
- have_imlib=yes
+ have_imlib="yes"
fi
else
echo "configure: warning: Imlib is not installed. Install Imlib (version >= 1.9.8)" 1>&2
- have_imlib=no
+ have_imlib="no"
fi
- version=`$IMLIB2_CONFIG --version 2>/dev/null`
- if test x$version != x; then
+ version="`$IMLIB2_CONFIG --version 2>/dev/null`"
+ if test x"$version" != x; then
echo $ac_n "checking Imlib2 version""... $ac_c" 1>&6
echo "configure:2524: checking Imlib2 version" >&5
echo "$ac_t""$version" 1>&6
set -- `echo "$version" | sed 's/[^0-9]/ /g'`
if test "$1" -ne "1" -o "$2" -lt "0" -o "$3" -lt "5"; then
echo "configure: warning: Imlib2 is too old. Install Imlib2 (version >= 1.0.5)" 1>&2
- have_imlib2=no
+ have_imlib2="no"
else
- have_imlib2=yes
+ have_imlib2="yes"
fi
else
echo "configure: warning: Imlib2 is not installed. Install Imlib2 (version >= 1.0.5)" 1>&2
- have_imlib2=no
+ have_imlib2="no"
fi
else
- have_gdkpixbuf=yes
+ have_gdkpixbuf="yes"
fi
else
echo "configure: warning: GdkPixbuf is not installed. Install GdkPixbuf (version >= 0.16.0)" 1>&2
- have_gdkpixbuf=no
- version=`$IMLIB_CONFIG --version 2>/dev/null`
- if test x$version != x; then
+ have_gdkpixbuf="no"
+ version="`$IMLIB_CONFIG --version 2>/dev/null`"
+ if test x"$version" != x; then
echo $ac_n "checking Imlib version""... $ac_c" 1>&6
echo "configure:2546: checking Imlib version" >&5
echo "$ac_t""$version" 1>&6
set -- `echo "$version" | sed 's/[^0-9]/ /g'`
if test "$1" -ne "1" -o "$2" -lt "9" -o "$3" -lt "8"; then
echo "configure: warning: Imlib is too old. Install Imlib (version >= 1.9.8)" 1>&2
- have_imlib=no
+ have_imlib="no"
else
- have_imlib=yes
+ have_imlib="yes"
fi
else
echo "configure: warning: Imlib is not installed. Install Imlib (version >= 1.9.8)" 1>&2
- have_imlib=no
+ have_imlib="no"
fi
- version=`$IMLIB2_CONFIG --version 2>/dev/null`
- if test x$version != x; then
+ version="`$IMLIB2_CONFIG --version 2>/dev/null`"
+ if test x"$version" != x; then
echo $ac_n "checking Imlib2 version""... $ac_c" 1>&6
echo "configure:2562: checking Imlib2 version" >&5
echo "$ac_t""$version" 1>&6
set -- `echo "$version" | sed 's/[^0-9]/ /g'`
if test "$1" -ne "1" -o "$2" -lt "0" -o "$3" -lt "5"; then
echo "configure: warning: Imlib2 is too old. Install Imlib2 (version >= 1.0.5)" 1>&2
- have_imlib2=no
+ have_imlib2="no"
else
- have_imlib2=yes
+ have_imlib2="yes"
fi
else
echo "configure: warning: Imlib2 is not installed. Install Imlib2 (version >= 1.0.5)" 1>&2
- have_imlib2=no
+ have_imlib2="no"
fi
fi
- if test x$x11 = xyes; then
- if test x$have_gdkpixbuf = xyes; then
+ if test x"$x11" = xyes; then
+ if test x"$have_gdkpixbuf" = xyes; then
cat >> confdefs.h <<\EOF
#define USE_W3MIMG_X11 1
EOF
@@ -2585,7 +2585,7 @@ EOF
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
IMGX11CFLAGS="`${GDKPIXBUF_CONFIG} --cflags`"
IMGX11LDFLAGS="`${GDKPIXBUF_CONFIG} --libs` -lgdk_pixbuf_xlib"
- elif test x$have_imlib = xyes; then
+ elif test x"$have_imlib" = xyes; then
cat >> confdefs.h <<\EOF
#define USE_W3MIMG_X11 1
EOF
@@ -2597,7 +2597,7 @@ EOF
IMGOBJS="$IMGOBJS w3mimg/x11/x11_w3mimg.o"
IMGX11CFLAGS="`${IMLIB_CONFIG} --cflags`"
IMGX11LDFLAGS="`${IMLIB_CONFIG} --libs`"
- elif test x$have_imlib2 = xyes; then
+ elif test x"$have_imlib2" = xyes; then
cat >> confdefs.h <<\EOF
#define USE_W3MIMG_X11 1
EOF
@@ -2613,8 +2613,8 @@ EOF
echo "configure: warning: unable to build w3mimgdisplay with X11 support" 1>&2
fi
fi
- if test x$fb = xyes; then
- if test x$have_gdkpixbuf = xyes; then
+ if test x"$fb" = xyes; then
+ if test x"$have_gdkpixbuf" = xyes; then
cat >> confdefs.h <<\EOF
#define USE_W3MIMG_FB 1
EOF
@@ -2626,7 +2626,7 @@ EOF
IMGOBJS="$IMGOBJS w3mimg/fb/fb_w3mimg.o w3mimg/fb/fb.o w3mimg/fb/fb_img.o"
IMGFBCFLAGS="`${GDKPIXBUF_CONFIG} --cflags`"
IMGFBLDFLAGS="`${GDKPIXBUF_CONFIG} --libs`"
- elif test x$have_imlib2 = xyes; then
+ elif test x"$have_imlib2" = xyes; then
cat >> confdefs.h <<\EOF
#define USE_W3MIMG_FB 1
EOF
@@ -2676,7 +2676,7 @@ else
enable_xface="$enable_image"
fi
- test x$enable_xface = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_xface" = xyes && cat >> confdefs.h <<\EOF
#define USE_XFACE 1
EOF
@@ -2727,7 +2727,7 @@ else
fi
echo "$ac_t""$with_ssl" 1>&6
-if test x$with_ssl != xno; then
+if test x"$with_ssl" != xno; then
cat >> confdefs.h <<\EOF
#define USE_SSL 1
EOF
@@ -2788,7 +2788,7 @@ w3m_ssl="not found"
fi
- if test x$w3m_ssl = xfound; then
+ if test x"$w3m_ssl" = xfound; then
echo $ac_n "checking if SSL certificate verify is enabled""... $ac_c" 1>&6
echo "configure:2794: checking if SSL certificate verify is enabled" >&5
# Check whether --enable-sslverify or --disable-sslverify was given.
@@ -2799,7 +2799,7 @@ else
enable_sslverify="yes"
fi
- test x$enable_sslverify = xyes && cat >> confdefs.h <<\EOF
+ test x"$enable_sslverify" = xyes && cat >> confdefs.h <<\EOF
#define USE_SSL_VERIFY 1
EOF
@@ -2818,7 +2818,7 @@ fi
echo "$ac_t""$enable_ipv6" 1>&6
-if test x$enable_ipv6 = xyes; then
+if test x"$enable_ipv6" = xyes; then
echo $ac_n "checking if IPv6 API available""... $ac_c" 1>&6
echo "configure:2824: checking if IPv6 API available" >&5
@@ -2865,16 +2865,16 @@ fi
if eval "test \"`echo '$ac_cv_func_'getaddrinfo`\" = yes"; then
echo "$ac_t""yes" 1>&6
- enable_ipv6=yes; cat >> confdefs.h <<\EOF
+ enable_ipv6="yes"; cat >> confdefs.h <<\EOF
#define INET6 1
EOF
else
echo "$ac_t""no" 1>&6
-enable_ipv6=no
+enable_ipv6="no"
fi
- if test x$enable_ipv6 = xno; then
+ if test x"$enable_ipv6" = xno; then
echo $ac_n "checking for libinet6""... $ac_c" 1>&6
echo "configure:2880: checking for libinet6" >&5
for dir in /usr/local/v6/lib /usr/local/lib /usr/lib
@@ -2918,7 +2918,7 @@ LIBS="$ac_save_LIBS"
fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
echo "$ac_t""yes" 1>&6
- enable_ipv6=yes; cat >> confdefs.h <<\EOF
+ enable_ipv6="yes"; cat >> confdefs.h <<\EOF
#define INET6 1
EOF
@@ -3833,7 +3833,7 @@ EOF
- if test x$ac_cv_type_signal = xvoid; then
+ if test x"$ac_cv_type_signal" = xvoid; then
cat >> confdefs.h <<\EOF
#define SIGNAL_RETURN return
EOF